5

At the time of updating the system, sometimes appears package errors. e.g.:

E: Encountered a section with no Package: header
E: Problem with something /var/lib/apt/lists/*
E: The package lists or status file could not be parsed or opened.

I have seen many questions related, such as:

https://askubuntu.com/q/183037/62483
I can't check for updates
How do I fix a "Problem with MergeList" or "status file could not be parsed" error when trying to do an update?
https://askubuntu.com/q/182820/62483

many are closed but other doesn't.

My doubt is that some of them differ from the others, but not their solutions.

Should they be closed as Exact Duplicated? Some doesn't should be closed? Which of them?

5

Most questions that talk about Mergelist can be closed as a duplicate of

This Mergelist error is, in fact, a bug that keep resurfacing in releases every once in a while. The bug has been triaged and would hopefully be fixed sooner so we won't get any more duplicate questions. This bug is pretty interesting because once you hit on the bug, you can't update your system to fix the bug even if the bug has been fixed on Ubuntu as the bug would block apt-get and update-manager.


Anyway, I think not every question that mentions MergeList are duplicates. There are some valid questions that shouldn't be closed. Some examples:

So, to clarify, if the question is about not being able to update your system because of MergeList error, then it should be closed. But, if the question is not essentially about MergeList, we should not close it as a duplicate.

Hope that makes sense.

6

This question is the "master" one:

with 90-some questions marked as duplicate for that one, so I just close as exact duplicate. The "I can't check for updates" question is just a duplicate of this one:

which is another commonly asked question.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .